<div style="margin-top: 20px;">
    <div class="container">
        <div class="row">
            <h5>
                <span jhiTranslate="mpmApp.motor.home.title">Motors</span>
            </h5>
            <p-dataTable
                [value]="motors"
                [editable]="true"
                [rows]="itemsPerPage"
                [paginator]="true"
                [pageLinks]="5"
                [rowsPerPageOptions]="[10,15,20]"
                [totalRecords]="totalItems"
                [responsive]="true"
                [lazy]="true"
                dataKey="idProduct"
                expandableRows="false"
                (onLazyLoad)="loadDataLazy($event)"
                (onEditComplete)="updateRowData($event)">
                <p-header>
                    <jhi-alert></jhi-alert>
                    <ul class="nav justify-content-end">
                        <li class="nav-item">
                            <a class="btn" [routerLink]="['/price-component-upload']">
                                <span>
                                    <i class="fa fa-upload"></i> &nbsp;{{ 'entity.action.upload' | translate }} </span>
                            </a>
                        </li>
                        <li class="nav-item"*jhiHasAnyAuthority="['ROLE_ADMIN']">
                            <a class="btn" (click)="buildReindex()" href="javascript:void(0)" style="cursor: pointer;"><span><i class="fa fa-th-list"></i> &nbsp;{{ 'entity.action.reindex' | translate }}</span></a>
                        </li>
                        <li class="nav-item">
                            <a class="btn" [routerLink]="['/', { outlets: { popup: ['motor-new'] } }]"><span><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</span></a>
                        </li>
                    </ul>
                    <div>
                        <form name="searchForm" class="form-inline">
                            <div class="input-group w-100 mt-3">
                                <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                                      name="currentSearch" placeholder="{{ 'mpmApp.motor.home.search' | translate }}">
                                <button class="input-group-addon btn btn-info" (click)="search(currentSearch)" *ngIf="currentSearch">
                                    <span class="fa fa-search"></span>
                                </button>
                                <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                                    <span class="fa fa-trash-o"></span>
                                </button>
                            </div>
                        </form>
                    </div>
                </p-header>
                <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
                <p-column header="{{'mpmApp.motor.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="{{'global.field.id'|translate}}" [style]="{'width': '80px'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.idProduct}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.motor.name'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.name}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.motor.dateIntroduction'|translate}}" [style]="{'width': '150px'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.dateIntroduction | date:'dd-MM-yyyy'}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.motor.uom'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.uomId">
                            <a [routerLink]="['../uom', rowData.uomId  ]" >{{rowData.uomDescription}}</a>
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.motor.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <a class=""
                            [routerLink]="['../motor/' + rowData.idProduct + '/hot-item']"
                        ><i style="color:red;" class="fa fa-fire" aria-hidden="true"></i></a>
                        <button pButton
                            [routerLink]="['../motor/' + rowData.idProduct + '/price']"
                            icon="fa-money"
                            class="ui-button-primary">
                        </button>
                        <a class=""
                            [routerLink]="['../motor/' + rowData.idProduct + '/images']"
                        ><i class="fa fa-picture-o" aria-hidden="true"></i></a>
                        <a class=""
                            [routerLink]="['../motor/' + rowData.idProduct + '/indent']"
                        ><i class="fa fa-indent" aria-hidden="true"></i></a>
                        <button pButton type="submit"
                                [routerLink]="['/', { outlets: { popup: 'motor/'+ rowData.idProduct + '/edit'} }]"
                                replaceUrl="true"
                                icon="fa-pencil"
                                class="ui-button-primary">
                        </button>
                        <button pButton type="submit"
                                (click)="delete(rowData.idProduct)"
                                icon="fa-remove"
                                class="ui-button-danger">
                        </button>
                    </ng-template>
                </p-column>
                <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template>
            </p-dataTable>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>